$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.72.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.72.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AA0BB55D3794333E5FBA4E9DDB2E7A272B3EC2C9C404DDD17E02C031BA3D73FB'
  checksumType = 'sha256'
  checksum64 = 'AA0BB55D3794333E5FBA4E9DDB2E7A272B3EC2C9C404DDD17E02C031BA3D73FB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.72-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
